summaryrefslogtreecommitdiffstats
path: root/scripts/combine.sh
diff options
context:
space:
mode:
authorRoland McGrath <roland@redhat.com>2010-07-29 19:24:43 -0700
committerRoland McGrath <roland@redhat.com>2010-07-29 19:24:43 -0700
commit11487c5358c414c73bcfd9c850d469fba081f18c (patch)
tree37772c24c3e6aea1f9afc12f2ff89c9ae58e15cc /scripts/combine.sh
parent7f2b706ac8d669475df57714364a00361ae3072f (diff)
downloadkernel-11487c5358c414c73bcfd9c850d469fba081f18c.tar.gz
kernel-11487c5358c414c73bcfd9c850d469fba081f18c.tar.xz
kernel-11487c5358c414c73bcfd9c850d469fba081f18c.zip
Restore README.txt, scripts.
Diffstat (limited to 'scripts/combine.sh')
-rwxr-xr-xscripts/combine.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/scripts/combine.sh b/scripts/combine.sh
new file mode 100755
index 000000000..86a68d302
--- /dev/null
+++ b/scripts/combine.sh
@@ -0,0 +1,34 @@
+#! /bin/sh
+
+# combine a set of quilt patches
+
+# $1 : base dir (source tree)
+# $2 : quilt dir (patches to apply)
+# $3 : pre-patch to apply first (optional)
+
+# e.g.:
+# combine.sh /home/user/fedora/trunk/kernel/F-11/kernel-2.6.30/vanilla-2.6.30 \
+# /home/user/git/stable-queue/queue-2.6.30 \
+# /home/user/fedora/trunk/kernel/F-11/patch-2.6.30.5.bz2
+
+if [ $# -lt 2 ] ; then
+ exit 1
+fi
+
+TD="combine_temp.d"
+
+cd $1 || exit 1
+cd ..
+[ -d $TD ] && rm -Rf $TD
+mkdir $TD || exit 1
+cd $TD
+
+cp -al ../$(basename $1) work.d
+cd work.d
+[ "$3" ] && bzcat $3 | patch -p1 -s
+ln -s $2 patches
+[ -h patches ] || exit 1
+quilt snapshot
+quilt upgrade
+quilt push -a -q
+quilt diff --snapshot >../combined.patch